import 'package:auth/src/core/providers/auth_repository_provider.dart';
import 'package:auth/src/features/link_phone/domain/use_cases/link_phone_use_case.dart';
import 'package:auth/src/features/link_phone/domain/use_cases/link_phone_use_case_impl.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

final linkPhoneUseCaseProvider = Provider.autoDispose<LinkPhoneUseCase>((ref) {
  final authRepository = ref.read(authRepositoryProvider);
  return LinkPhoneUseCaseImpl(authRepository);
});
